OntologyNetworkWeakener (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.util
Class OntologyNetworkWeakener

    java.lang.Object
      fr.inrialpes.exmo.align.util.OntologyNetworkWeakener

    public class OntologyNetworkWeakener

extends Object

OntologyNetworkWeakener A utility class that transform an ontology network in one with less alignments/

Constructor Summary
`OntologyNetworkWeakener()`

Method Summary
`static OntologyNetwork` | `dropAlignments(OntologyNetwork on, double n)` randomly drops n% of all alignments n is a number between 0.
`static OntologyNetwork` | `unconnect(OntologyNetwork on, int n)` suppress alignments in the ontology network so that it retain n-connectivity, i.e., any pairs of ontologies connected by less than n alignments are still connected through at most n alignments.
`static OntologyNetwork` | `weakenAlignments(OntologyNetwork on, double n, boolean threshold)` suppress n% of the correspondences at random in all alignments n is a number between 0.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntologyNetworkWeakener

    public OntologyNetworkWeakener()

Method Detail

### unconnect

    public static OntologyNetwork unconnect(OntologyNetwork on,
                                            int n)

  suppress alignments in the ontology network so that it retain n-connectivity, i.e., any pairs of ontologies connected by less than n alignments are still connected through at most n alignments. JE: this is an interesting graph theoretic problem and I do not know where to find it.

### weakenAlignments

    public static OntologyNetwork weakenAlignments(OntologyNetwork on,
                                                   double n,
                                                   boolean threshold)
                                            throws AlignmentException

  suppress n% of the correspondences at random in all alignments n is a number between 0. and 1. Returns a brand new BasicOntologyNetwork (with new alignments and cells) the @threshold parameter tells if the corrrespondences are suppressed at random (false) of by suppressing the n% of lower confidence (true)

  Throws:
    `AlignmentException`

### dropAlignments

    public static OntologyNetwork dropAlignments(OntologyNetwork on,
                                                 double n)
                                          throws AlignmentException

  randomly drops n% of all alignments n is a number between 0. and 1. Returns a brand new BasicOntologyNetwork (with the initial alignments)

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010